Loading...
Searching...
No Matches
BLURAY_CLIP_INFO Struct Reference

Clip information. More...

`#include <bluray.h>`

## Data Fields

uint32_t | pkt_count
| Number of mpeg-ts packets.
uint8_t | still_mode
| Clip still mode (bd_still_mode_e).
uint16_t | still_time
| Still time (seconds) if still_mode == BD_STILL_TIME.
uint8_t | video_stream_count
| Number of video streams.
uint8_t | audio_stream_count
| Number of audio streams.
uint8_t | pg_stream_count
| Number of PG (Presentation Graphics) streams.
uint8_t | ig_stream_count
| Number of IG (Interactive Graphics) streams.
uint8_t | sec_audio_stream_count
| Number of secondary audio streams.
uint8_t | sec_video_stream_count
| Number of secondary video streams.
BLURAY_STREAM_INFO * | video_streams
| Video streams information.
BLURAY_STREAM_INFO * | audio_streams
| Audio streams information.
BLURAY_STREAM_INFO * | pg_streams
| PG (Presentation Graphics) streams information.
BLURAY_STREAM_INFO * | ig_streams
| IG (Interactive Graphics) streams information.
BLURAY_STREAM_INFO * | sec_audio_streams
| Secondary audio streams information.
BLURAY_STREAM_INFO * | sec_video_streams
| Secondary video streams information.
uint64_t | start_time
| start media time, 90kHz, ("playlist time")
uint64_t | in_time
| start timestamp, 90kHz
uint64_t | out_time
| end timestamp, 90kHz
char | clip_id [6]
| Clip identifier (.m2ts file name).

## Detailed Description

Clip information.

The documentation for this struct was generated from the following file:

- bluray.h